Subject: glitch on repl suspend+resume

From: Matan Nassau <[email-masked]>
Date: Sun, 7 Apr 2019 14:57:05 -0400

Hi,

Suspending and then continuing the Guile REPL when it's waiting for
input doesn't refresh the prompt.  It would be pleasant if it did.

To reproduce, I start Guile on a Bash shell, suspend it by pressing
ctrl-z, and then resume it again with fg:

 $ guile
 GNU Guile 2.2.4
 ...
 scheme@(guile-user)>^Z
 [1]+  Stopped                 guile
 $ fg
 guile

I expected it to be:

 $ fg
 guile
 scheme@(guile-user)>

I noticed that Chez Scheme 9.5 displays the prompt after resuming the
process, and thought it would be sweet if Guile did too.

Matan